> For the complete documentation index, see [llms.txt](https://developer.harness.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.harness.io/api-reference/software-delivery-agent-apis/code-repository/webhook.md).

# Webhook

## GET /repos/{repo\_identifier}/webhooks

> List repo webhooks

```json
{"openapi":"3.0.0","info":{"title":"API Specification","version":"1.111.0"},"servers":[{"url":"gateway/code/api/v1"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"scheme":"bearer","type":"http"}},"schemas":{"OpenapiWebhookType":{"properties":{"created":{"type":"integer"},"created_by":{"type":"integer"},"description":{"type":"string"},"display_name":{"type":"string"},"enabled":{"type":"boolean"},"extra_headers":{"items":{"$ref":"#/components/schemas/TypesExtraHeader"},"type":"array"},"has_secret":{"type":"boolean"},"id":{"type":"integer"},"identifier":{"type":"string"},"insecure":{"type":"boolean"},"latest_execution_result":{"$ref":"#/components/schemas/EnumWebhookExecutionResult"},"parent_id":{"type":"integer"},"parent_type":{"$ref":"#/components/schemas/EnumWebhookParent"},"scope":{"type":"integer"},"triggers":{"items":{"$ref":"#/components/schemas/EnumWebhookTrigger"},"nullable":true,"type":"array"},"updated":{"type":"integer"},"url":{"type":"string"},"version":{"type":"integer"}},"type":"object"},"TypesExtraHeader":{"properties":{"key":{"type":"string"},"masked":{"type":"boolean"},"value":{"type":"string"}},"type":"object"},"EnumWebhookExecutionResult":{"enum":["fatal_error","retriable_error","success"],"nullable":true,"type":"string"},"EnumWebhookParent":{"enum":["registry","repo","space"],"type":"string"},"EnumWebhookTrigger":{"enum":["artifact_created","artifact_deleted","branch_created","branch_deleted","branch_updated","merge_queue_checks_canceled","merge_queue_checks_requested","pullreq_branch_updated","pullreq_check_completed","pullreq_closed","pullreq_comment_created","pullreq_comment_status_updated","pullreq_comment_updated","pullreq_created","pullreq_label_assigned","pullreq_merged","pullreq_reopened","pullreq_review_submitted","pullreq_reviewer_assigned","pullreq_reviewer_unassigned","pullreq_target_branch_changed","pullreq_updated","tag_created","tag_deleted","tag_updated"],"type":"string"},"UsererrorError":{"properties":{"message":{"type":"string"},"values":{"additionalProperties":{},"type":"object"}},"type":"object"}}},"paths":{"/repos/{repo_identifier}/webhooks":{"get":{"operationId":"listRepoWebhooks","parameters":[{"description":"Account Identifier for the Entity.","in":"query","name":"accountIdentifier","required":true,"schema":{"type":"string"}},{"description":"Organization Identifier for the Entity.","in":"query","name":"orgIdentifier","required":false,"schema":{"type":"string"}},{"description":"Project Identifier for the Entity.","in":"query","name":"projectIdentifier","required":false,"schema":{"type":"string"}},{"description":"The substring which is used to filter the webhooks by their identifier.","in":"query","name":"query","required":false,"schema":{"type":"string"}},{"description":"The data by which the webhooks are sorted.","in":"query","name":"sort","required":false,"schema":{"default":"identifier","enum":["id","uid","display_name","created","updated"],"type":"string"}},{"description":"The order of the output.","in":"query","name":"order","required":false,"schema":{"default":"asc","enum":["asc","desc"],"type":"string"}},{"description":"The page to return.","in":"query","name":"page","required":false,"schema":{"default":1,"minimum":1,"type":"integer"}},{"description":"The maximum number of results to return.","in":"query","name":"limit","required":false,"schema":{"default":30,"maximum":100,"minimum":1,"type":"integer"}},{"in":"path","name":"repo_identifier","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/OpenapiWebhookType"},"type":"array"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Bad Request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Unauthorized"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Forbidden"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Internal Server Error"}},"summary":"List repo webhooks","tags":["webhook"]}}}}
```

## POST /repos/{repo\_identifier}/webhooks

> Create repo webhook

```json
{"openapi":"3.0.0","info":{"title":"API Specification","version":"1.111.0"},"servers":[{"url":"gateway/code/api/v1"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"scheme":"bearer","type":"http"}},"schemas":{"OpenapiCreateRepoWebhookRequest":{"properties":{"description":{"type":"string"},"display_name":{"type":"string"},"enabled":{"type":"boolean"},"extra_headers":{"items":{"$ref":"#/components/schemas/TypesExtraHeader"},"type":"array"},"identifier":{"type":"string"},"insecure":{"type":"boolean"},"secret":{"type":"string"},"triggers":{"items":{"$ref":"#/components/schemas/EnumWebhookTrigger"},"nullable":true,"type":"array"},"uid":{"deprecated":true,"type":"string"},"url":{"type":"string"}},"type":"object"},"TypesExtraHeader":{"properties":{"key":{"type":"string"},"masked":{"type":"boolean"},"value":{"type":"string"}},"type":"object"},"EnumWebhookTrigger":{"enum":["artifact_created","artifact_deleted","branch_created","branch_deleted","branch_updated","merge_queue_checks_canceled","merge_queue_checks_requested","pullreq_branch_updated","pullreq_check_completed","pullreq_closed","pullreq_comment_created","pullreq_comment_status_updated","pullreq_comment_updated","pullreq_created","pullreq_label_assigned","pullreq_merged","pullreq_reopened","pullreq_review_submitted","pullreq_reviewer_assigned","pullreq_reviewer_unassigned","pullreq_target_branch_changed","pullreq_updated","tag_created","tag_deleted","tag_updated"],"type":"string"},"OpenapiWebhookType":{"properties":{"created":{"type":"integer"},"created_by":{"type":"integer"},"description":{"type":"string"},"display_name":{"type":"string"},"enabled":{"type":"boolean"},"extra_headers":{"items":{"$ref":"#/components/schemas/TypesExtraHeader"},"type":"array"},"has_secret":{"type":"boolean"},"id":{"type":"integer"},"identifier":{"type":"string"},"insecure":{"type":"boolean"},"latest_execution_result":{"$ref":"#/components/schemas/EnumWebhookExecutionResult"},"parent_id":{"type":"integer"},"parent_type":{"$ref":"#/components/schemas/EnumWebhookParent"},"scope":{"type":"integer"},"triggers":{"items":{"$ref":"#/components/schemas/EnumWebhookTrigger"},"nullable":true,"type":"array"},"updated":{"type":"integer"},"url":{"type":"string"},"version":{"type":"integer"}},"type":"object"},"EnumWebhookExecutionResult":{"enum":["fatal_error","retriable_error","success"],"nullable":true,"type":"string"},"EnumWebhookParent":{"enum":["registry","repo","space"],"type":"string"},"UsererrorError":{"properties":{"message":{"type":"string"},"values":{"additionalProperties":{},"type":"object"}},"type":"object"}}},"paths":{"/repos/{repo_identifier}/webhooks":{"post":{"operationId":"createRepoWebhook","parameters":[{"description":"Account Identifier for the Entity.","in":"query","name":"accountIdentifier","required":true,"schema":{"type":"string"}},{"description":"Organization Identifier for the Entity.","in":"query","name":"orgIdentifier","required":false,"schema":{"type":"string"}},{"description":"Project Identifier for the Entity.","in":"query","name":"projectIdentifier","required":false,"schema":{"type":"string"}},{"in":"path","name":"repo_identifier","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OpenapiCreateRepoWebhookRequest"}}}},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OpenapiWebhookType"}}},"description":"Created"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Bad Request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Unauthorized"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Forbidden"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Internal Server Error"}},"summary":"Create repo webhook","tags":["webhook"]}}}}
```

## GET /repos/{repo\_identifier}/webhooks/{webhook\_identifier}

> Get repo webhook

```json
{"openapi":"3.0.0","info":{"title":"API Specification","version":"1.111.0"},"servers":[{"url":"gateway/code/api/v1"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"scheme":"bearer","type":"http"}},"schemas":{"OpenapiWebhookType":{"properties":{"created":{"type":"integer"},"created_by":{"type":"integer"},"description":{"type":"string"},"display_name":{"type":"string"},"enabled":{"type":"boolean"},"extra_headers":{"items":{"$ref":"#/components/schemas/TypesExtraHeader"},"type":"array"},"has_secret":{"type":"boolean"},"id":{"type":"integer"},"identifier":{"type":"string"},"insecure":{"type":"boolean"},"latest_execution_result":{"$ref":"#/components/schemas/EnumWebhookExecutionResult"},"parent_id":{"type":"integer"},"parent_type":{"$ref":"#/components/schemas/EnumWebhookParent"},"scope":{"type":"integer"},"triggers":{"items":{"$ref":"#/components/schemas/EnumWebhookTrigger"},"nullable":true,"type":"array"},"updated":{"type":"integer"},"url":{"type":"string"},"version":{"type":"integer"}},"type":"object"},"TypesExtraHeader":{"properties":{"key":{"type":"string"},"masked":{"type":"boolean"},"value":{"type":"string"}},"type":"object"},"EnumWebhookExecutionResult":{"enum":["fatal_error","retriable_error","success"],"nullable":true,"type":"string"},"EnumWebhookParent":{"enum":["registry","repo","space"],"type":"string"},"EnumWebhookTrigger":{"enum":["artifact_created","artifact_deleted","branch_created","branch_deleted","branch_updated","merge_queue_checks_canceled","merge_queue_checks_requested","pullreq_branch_updated","pullreq_check_completed","pullreq_closed","pullreq_comment_created","pullreq_comment_status_updated","pullreq_comment_updated","pullreq_created","pullreq_label_assigned","pullreq_merged","pullreq_reopened","pullreq_review_submitted","pullreq_reviewer_assigned","pullreq_reviewer_unassigned","pullreq_target_branch_changed","pullreq_updated","tag_created","tag_deleted","tag_updated"],"type":"string"},"UsererrorError":{"properties":{"message":{"type":"string"},"values":{"additionalProperties":{},"type":"object"}},"type":"object"}}},"paths":{"/repos/{repo_identifier}/webhooks/{webhook_identifier}":{"get":{"operationId":"getRepoWebhook","parameters":[{"description":"Account Identifier for the Entity.","in":"query","name":"accountIdentifier","required":true,"schema":{"type":"string"}},{"description":"Organization Identifier for the Entity.","in":"query","name":"orgIdentifier","required":false,"schema":{"type":"string"}},{"description":"Project Identifier for the Entity.","in":"query","name":"projectIdentifier","required":false,"schema":{"type":"string"}},{"in":"path","name":"repo_identifier","required":true,"schema":{"type":"string"}},{"in":"path","name":"webhook_identifier","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OpenapiWebhookType"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Bad Request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Unauthorized"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Forbidden"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Internal Server Error"}},"summary":"Get repo webhook","tags":["webhook"]}}}}
```

## DELETE /repos/{repo\_identifier}/webhooks/{webhook\_identifier}

> Delete repo webhook

```json
{"openapi":"3.0.0","info":{"title":"API Specification","version":"1.111.0"},"servers":[{"url":"gateway/code/api/v1"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"scheme":"bearer","type":"http"}},"schemas":{"UsererrorError":{"properties":{"message":{"type":"string"},"values":{"additionalProperties":{},"type":"object"}},"type":"object"}}},"paths":{"/repos/{repo_identifier}/webhooks/{webhook_identifier}":{"delete":{"operationId":"deleteRepoWebhook","parameters":[{"description":"Account Identifier for the Entity.","in":"query","name":"accountIdentifier","required":true,"schema":{"type":"string"}},{"description":"Organization Identifier for the Entity.","in":"query","name":"orgIdentifier","required":false,"schema":{"type":"string"}},{"description":"Project Identifier for the Entity.","in":"query","name":"projectIdentifier","required":false,"schema":{"type":"string"}},{"in":"path","name":"repo_identifier","required":true,"schema":{"type":"string"}},{"in":"path","name":"webhook_identifier","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Bad Request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Unauthorized"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Forbidden"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Internal Server Error"}},"summary":"Delete repo webhook","tags":["webhook"]}}}}
```

## PATCH /repos/{repo\_identifier}/webhooks/{webhook\_identifier}

> Update repo webhook

```json
{"openapi":"3.0.0","info":{"title":"API Specification","version":"1.111.0"},"servers":[{"url":"gateway/code/api/v1"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"scheme":"bearer","type":"http"}},"schemas":{"OpenapiUpdateRepoWebhookRequest":{"properties":{"description":{"nullable":true,"type":"string"},"display_name":{"nullable":true,"type":"string"},"enabled":{"nullable":true,"type":"boolean"},"extra_headers":{"items":{"$ref":"#/components/schemas/TypesExtraHeader"},"type":"array"},"identifier":{"nullable":true,"type":"string"},"insecure":{"nullable":true,"type":"boolean"},"secret":{"nullable":true,"type":"string"},"triggers":{"items":{"$ref":"#/components/schemas/EnumWebhookTrigger"},"nullable":true,"type":"array"},"uid":{"deprecated":true,"nullable":true,"type":"string"},"url":{"nullable":true,"type":"string"}},"type":"object"},"TypesExtraHeader":{"properties":{"key":{"type":"string"},"masked":{"type":"boolean"},"value":{"type":"string"}},"type":"object"},"EnumWebhookTrigger":{"enum":["artifact_created","artifact_deleted","branch_created","branch_deleted","branch_updated","merge_queue_checks_canceled","merge_queue_checks_requested","pullreq_branch_updated","pullreq_check_completed","pullreq_closed","pullreq_comment_created","pullreq_comment_status_updated","pullreq_comment_updated","pullreq_created","pullreq_label_assigned","pullreq_merged","pullreq_reopened","pullreq_review_submitted","pullreq_reviewer_assigned","pullreq_reviewer_unassigned","pullreq_target_branch_changed","pullreq_updated","tag_created","tag_deleted","tag_updated"],"type":"string"},"OpenapiWebhookType":{"properties":{"created":{"type":"integer"},"created_by":{"type":"integer"},"description":{"type":"string"},"display_name":{"type":"string"},"enabled":{"type":"boolean"},"extra_headers":{"items":{"$ref":"#/components/schemas/TypesExtraHeader"},"type":"array"},"has_secret":{"type":"boolean"},"id":{"type":"integer"},"identifier":{"type":"string"},"insecure":{"type":"boolean"},"latest_execution_result":{"$ref":"#/components/schemas/EnumWebhookExecutionResult"},"parent_id":{"type":"integer"},"parent_type":{"$ref":"#/components/schemas/EnumWebhookParent"},"scope":{"type":"integer"},"triggers":{"items":{"$ref":"#/components/schemas/EnumWebhookTrigger"},"nullable":true,"type":"array"},"updated":{"type":"integer"},"url":{"type":"string"},"version":{"type":"integer"}},"type":"object"},"EnumWebhookExecutionResult":{"enum":["fatal_error","retriable_error","success"],"nullable":true,"type":"string"},"EnumWebhookParent":{"enum":["registry","repo","space"],"type":"string"},"UsererrorError":{"properties":{"message":{"type":"string"},"values":{"additionalProperties":{},"type":"object"}},"type":"object"}}},"paths":{"/repos/{repo_identifier}/webhooks/{webhook_identifier}":{"patch":{"operationId":"updateRepoWebhook","parameters":[{"description":"Account Identifier for the Entity.","in":"query","name":"accountIdentifier","required":true,"schema":{"type":"string"}},{"description":"Organization Identifier for the Entity.","in":"query","name":"orgIdentifier","required":false,"schema":{"type":"string"}},{"description":"Project Identifier for the Entity.","in":"query","name":"projectIdentifier","required":false,"schema":{"type":"string"}},{"in":"path","name":"repo_identifier","required":true,"schema":{"type":"string"}},{"in":"path","name":"webhook_identifier","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OpenapiUpdateRepoWebhookRequest"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OpenapiWebhookType"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Bad Request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Unauthorized"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Forbidden"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Internal Server Error"}},"summary":"Update repo webhook","tags":["webhook"]}}}}
```

## GET /repos/{repo\_identifier}/webhooks/{webhook\_identifier}/executions

> List repo webhook executions

```json
{"openapi":"3.0.0","info":{"title":"API Specification","version":"1.111.0"},"servers":[{"url":"gateway/code/api/v1"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"scheme":"bearer","type":"http"}},"schemas":{"TypesWebhookExecution":{"properties":{"created":{"type":"integer"},"duration":{"type":"integer"},"error":{"type":"string"},"id":{"type":"integer"},"request":{"$ref":"#/components/schemas/TypesWebhookExecutionRequest"},"response":{"$ref":"#/components/schemas/TypesWebhookExecutionResponse"},"result":{"$ref":"#/components/schemas/EnumWebhookExecutionResult"},"retrigger_of":{"nullable":true,"type":"integer"},"retriggerable":{"type":"boolean"},"trigger_type":{"$ref":"#/components/schemas/EnumWebhookTrigger"},"webhook_id":{"type":"integer"}},"type":"object"},"TypesWebhookExecutionRequest":{"properties":{"body":{"type":"string"},"headers":{"type":"string"},"url":{"type":"string"}},"type":"object"},"TypesWebhookExecutionResponse":{"properties":{"body":{"type":"string"},"headers":{"type":"string"},"status":{"type":"string"},"status_code":{"type":"integer"}},"type":"object"},"EnumWebhookExecutionResult":{"enum":["fatal_error","retriable_error","success"],"nullable":true,"type":"string"},"EnumWebhookTrigger":{"enum":["artifact_created","artifact_deleted","branch_created","branch_deleted","branch_updated","merge_queue_checks_canceled","merge_queue_checks_requested","pullreq_branch_updated","pullreq_check_completed","pullreq_closed","pullreq_comment_created","pullreq_comment_status_updated","pullreq_comment_updated","pullreq_created","pullreq_label_assigned","pullreq_merged","pullreq_reopened","pullreq_review_submitted","pullreq_reviewer_assigned","pullreq_reviewer_unassigned","pullreq_target_branch_changed","pullreq_updated","tag_created","tag_deleted","tag_updated"],"type":"string"},"UsererrorError":{"properties":{"message":{"type":"string"},"values":{"additionalProperties":{},"type":"object"}},"type":"object"}}},"paths":{"/repos/{repo_identifier}/webhooks/{webhook_identifier}/executions":{"get":{"operationId":"listRepoWebhookExecutions","parameters":[{"description":"Account Identifier for the Entity.","in":"query","name":"accountIdentifier","required":true,"schema":{"type":"string"}},{"description":"Organization Identifier for the Entity.","in":"query","name":"orgIdentifier","required":false,"schema":{"type":"string"}},{"description":"Project Identifier for the Entity.","in":"query","name":"projectIdentifier","required":false,"schema":{"type":"string"}},{"description":"The page to return.","in":"query","name":"page","required":false,"schema":{"default":1,"minimum":1,"type":"integer"}},{"description":"The maximum number of results to return.","in":"query","name":"limit","required":false,"schema":{"default":30,"maximum":100,"minimum":1,"type":"integer"}},{"in":"path","name":"repo_identifier","required":true,"schema":{"type":"string"}},{"in":"path","name":"webhook_identifier","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/TypesWebhookExecution"},"type":"array"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Bad Request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Unauthorized"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Forbidden"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Internal Server Error"}},"summary":"List repo webhook executions","tags":["webhook"]}}}}
```

## GET /repos/{repo\_identifier}/webhooks/{webhook\_identifier}/executions/{webhook\_execution\_id}

> Get repo webhook execution

```json
{"openapi":"3.0.0","info":{"title":"API Specification","version":"1.111.0"},"servers":[{"url":"gateway/code/api/v1"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"scheme":"bearer","type":"http"}},"schemas":{"TypesWebhookExecution":{"properties":{"created":{"type":"integer"},"duration":{"type":"integer"},"error":{"type":"string"},"id":{"type":"integer"},"request":{"$ref":"#/components/schemas/TypesWebhookExecutionRequest"},"response":{"$ref":"#/components/schemas/TypesWebhookExecutionResponse"},"result":{"$ref":"#/components/schemas/EnumWebhookExecutionResult"},"retrigger_of":{"nullable":true,"type":"integer"},"retriggerable":{"type":"boolean"},"trigger_type":{"$ref":"#/components/schemas/EnumWebhookTrigger"},"webhook_id":{"type":"integer"}},"type":"object"},"TypesWebhookExecutionRequest":{"properties":{"body":{"type":"string"},"headers":{"type":"string"},"url":{"type":"string"}},"type":"object"},"TypesWebhookExecutionResponse":{"properties":{"body":{"type":"string"},"headers":{"type":"string"},"status":{"type":"string"},"status_code":{"type":"integer"}},"type":"object"},"EnumWebhookExecutionResult":{"enum":["fatal_error","retriable_error","success"],"nullable":true,"type":"string"},"EnumWebhookTrigger":{"enum":["artifact_created","artifact_deleted","branch_created","branch_deleted","branch_updated","merge_queue_checks_canceled","merge_queue_checks_requested","pullreq_branch_updated","pullreq_check_completed","pullreq_closed","pullreq_comment_created","pullreq_comment_status_updated","pullreq_comment_updated","pullreq_created","pullreq_label_assigned","pullreq_merged","pullreq_reopened","pullreq_review_submitted","pullreq_reviewer_assigned","pullreq_reviewer_unassigned","pullreq_target_branch_changed","pullreq_updated","tag_created","tag_deleted","tag_updated"],"type":"string"},"UsererrorError":{"properties":{"message":{"type":"string"},"values":{"additionalProperties":{},"type":"object"}},"type":"object"}}},"paths":{"/repos/{repo_identifier}/webhooks/{webhook_identifier}/executions/{webhook_execution_id}":{"get":{"operationId":"getRepoWebhookExecution","parameters":[{"description":"Account Identifier for the Entity.","in":"query","name":"accountIdentifier","required":true,"schema":{"type":"string"}},{"description":"Organization Identifier for the Entity.","in":"query","name":"orgIdentifier","required":false,"schema":{"type":"string"}},{"description":"Project Identifier for the Entity.","in":"query","name":"projectIdentifier","required":false,"schema":{"type":"string"}},{"description":"The page to return.","in":"query","name":"page","required":false,"schema":{"default":1,"minimum":1,"type":"integer"}},{"description":"The maximum number of results to return.","in":"query","name":"limit","required":false,"schema":{"default":30,"maximum":100,"minimum":1,"type":"integer"}},{"in":"path","name":"repo_identifier","required":true,"schema":{"type":"string"}},{"in":"path","name":"webhook_identifier","required":true,"schema":{"type":"string"}},{"in":"path","name":"webhook_execution_id","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TypesWebhookExecution"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Bad Request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Unauthorized"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Forbidden"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Internal Server Error"}},"summary":"Get repo webhook execution","tags":["webhook"]}}}}
```

## POST /repos/{repo\_identifier}/webhooks/{webhook\_identifier}/executions/{webhook\_execution\_id}/retrigger

> Retrigger repo webhook execution

```json
{"openapi":"3.0.0","info":{"title":"API Specification","version":"1.111.0"},"servers":[{"url":"gateway/code/api/v1"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"scheme":"bearer","type":"http"}},"schemas":{"TypesWebhookExecution":{"properties":{"created":{"type":"integer"},"duration":{"type":"integer"},"error":{"type":"string"},"id":{"type":"integer"},"request":{"$ref":"#/components/schemas/TypesWebhookExecutionRequest"},"response":{"$ref":"#/components/schemas/TypesWebhookExecutionResponse"},"result":{"$ref":"#/components/schemas/EnumWebhookExecutionResult"},"retrigger_of":{"nullable":true,"type":"integer"},"retriggerable":{"type":"boolean"},"trigger_type":{"$ref":"#/components/schemas/EnumWebhookTrigger"},"webhook_id":{"type":"integer"}},"type":"object"},"TypesWebhookExecutionRequest":{"properties":{"body":{"type":"string"},"headers":{"type":"string"},"url":{"type":"string"}},"type":"object"},"TypesWebhookExecutionResponse":{"properties":{"body":{"type":"string"},"headers":{"type":"string"},"status":{"type":"string"},"status_code":{"type":"integer"}},"type":"object"},"EnumWebhookExecutionResult":{"enum":["fatal_error","retriable_error","success"],"nullable":true,"type":"string"},"EnumWebhookTrigger":{"enum":["artifact_created","artifact_deleted","branch_created","branch_deleted","branch_updated","merge_queue_checks_canceled","merge_queue_checks_requested","pullreq_branch_updated","pullreq_check_completed","pullreq_closed","pullreq_comment_created","pullreq_comment_status_updated","pullreq_comment_updated","pullreq_created","pullreq_label_assigned","pullreq_merged","pullreq_reopened","pullreq_review_submitted","pullreq_reviewer_assigned","pullreq_reviewer_unassigned","pullreq_target_branch_changed","pullreq_updated","tag_created","tag_deleted","tag_updated"],"type":"string"},"UsererrorError":{"properties":{"message":{"type":"string"},"values":{"additionalProperties":{},"type":"object"}},"type":"object"}}},"paths":{"/repos/{repo_identifier}/webhooks/{webhook_identifier}/executions/{webhook_execution_id}/retrigger":{"post":{"operationId":"retriggerRepoWebhookExecution","parameters":[{"description":"Account Identifier for the Entity.","in":"query","name":"accountIdentifier","required":true,"schema":{"type":"string"}},{"description":"Organization Identifier for the Entity.","in":"query","name":"orgIdentifier","required":false,"schema":{"type":"string"}},{"description":"Project Identifier for the Entity.","in":"query","name":"projectIdentifier","required":false,"schema":{"type":"string"}},{"in":"path","name":"repo_identifier","required":true,"schema":{"type":"string"}},{"in":"path","name":"webhook_identifier","required":true,"schema":{"type":"string"}},{"in":"path","name":"webhook_execution_id","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TypesWebhookExecution"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Bad Request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Unauthorized"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Forbidden"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Internal Server Error"}},"summary":"Retrigger repo webhook execution","tags":["webhook"]}}}}
```

## GET /webhooks

> List acc, org or proj webhooks

```json
{"openapi":"3.0.0","info":{"title":"API Specification","version":"1.111.0"},"servers":[{"url":"gateway/code/api/v1"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"scheme":"bearer","type":"http"}},"schemas":{"OpenapiWebhookType":{"properties":{"created":{"type":"integer"},"created_by":{"type":"integer"},"description":{"type":"string"},"display_name":{"type":"string"},"enabled":{"type":"boolean"},"extra_headers":{"items":{"$ref":"#/components/schemas/TypesExtraHeader"},"type":"array"},"has_secret":{"type":"boolean"},"id":{"type":"integer"},"identifier":{"type":"string"},"insecure":{"type":"boolean"},"latest_execution_result":{"$ref":"#/components/schemas/EnumWebhookExecutionResult"},"parent_id":{"type":"integer"},"parent_type":{"$ref":"#/components/schemas/EnumWebhookParent"},"scope":{"type":"integer"},"triggers":{"items":{"$ref":"#/components/schemas/EnumWebhookTrigger"},"nullable":true,"type":"array"},"updated":{"type":"integer"},"url":{"type":"string"},"version":{"type":"integer"}},"type":"object"},"TypesExtraHeader":{"properties":{"key":{"type":"string"},"masked":{"type":"boolean"},"value":{"type":"string"}},"type":"object"},"EnumWebhookExecutionResult":{"enum":["fatal_error","retriable_error","success"],"nullable":true,"type":"string"},"EnumWebhookParent":{"enum":["registry","repo","space"],"type":"string"},"EnumWebhookTrigger":{"enum":["artifact_created","artifact_deleted","branch_created","branch_deleted","branch_updated","merge_queue_checks_canceled","merge_queue_checks_requested","pullreq_branch_updated","pullreq_check_completed","pullreq_closed","pullreq_comment_created","pullreq_comment_status_updated","pullreq_comment_updated","pullreq_created","pullreq_label_assigned","pullreq_merged","pullreq_reopened","pullreq_review_submitted","pullreq_reviewer_assigned","pullreq_reviewer_unassigned","pullreq_target_branch_changed","pullreq_updated","tag_created","tag_deleted","tag_updated"],"type":"string"},"UsererrorError":{"properties":{"message":{"type":"string"},"values":{"additionalProperties":{},"type":"object"}},"type":"object"}}},"paths":{"/webhooks":{"get":{"operationId":"listSpaceWebhooks","parameters":[{"description":"Account Identifier for the Entity.","in":"query","name":"accountIdentifier","required":true,"schema":{"type":"string"}},{"description":"Organization Identifier for the Entity.","in":"query","name":"orgIdentifier","required":false,"schema":{"type":"string"}},{"description":"Project Identifier for the Entity.","in":"query","name":"projectIdentifier","required":false,"schema":{"type":"string"}},{"description":"The substring which is used to filter the webhooks by their identifier.","in":"query","name":"query","required":false,"schema":{"type":"string"}},{"description":"The data by which the webhooks are sorted.","in":"query","name":"sort","required":false,"schema":{"default":"identifier","enum":["id","uid","display_name","created","updated"],"type":"string"}},{"description":"The order of the output.","in":"query","name":"order","required":false,"schema":{"default":"asc","enum":["asc","desc"],"type":"string"}},{"description":"The page to return.","in":"query","name":"page","required":false,"schema":{"default":1,"minimum":1,"type":"integer"}},{"description":"The maximum number of results to return.","in":"query","name":"limit","required":false,"schema":{"default":30,"maximum":100,"minimum":1,"type":"integer"}}],"responses":{"200":{"content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/OpenapiWebhookType"},"type":"array"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Bad Request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Unauthorized"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Forbidden"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Internal Server Error"}},"summary":"List acc, org or proj webhooks","tags":["webhook"]}}}}
```

## POST /webhooks

> Create acc, org or proj webhook

```json
{"openapi":"3.0.0","info":{"title":"API Specification","version":"1.111.0"},"servers":[{"url":"gateway/code/api/v1"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"scheme":"bearer","type":"http"}},"schemas":{"TypesWebhookCreateInput":{"properties":{"description":{"type":"string"},"display_name":{"type":"string"},"enabled":{"type":"boolean"},"extra_headers":{"items":{"$ref":"#/components/schemas/TypesExtraHeader"},"type":"array"},"identifier":{"type":"string"},"insecure":{"type":"boolean"},"secret":{"type":"string"},"triggers":{"items":{"$ref":"#/components/schemas/EnumWebhookTrigger"},"nullable":true,"type":"array"},"uid":{"deprecated":true,"type":"string"},"url":{"type":"string"}},"type":"object"},"TypesExtraHeader":{"properties":{"key":{"type":"string"},"masked":{"type":"boolean"},"value":{"type":"string"}},"type":"object"},"EnumWebhookTrigger":{"enum":["artifact_created","artifact_deleted","branch_created","branch_deleted","branch_updated","merge_queue_checks_canceled","merge_queue_checks_requested","pullreq_branch_updated","pullreq_check_completed","pullreq_closed","pullreq_comment_created","pullreq_comment_status_updated","pullreq_comment_updated","pullreq_created","pullreq_label_assigned","pullreq_merged","pullreq_reopened","pullreq_review_submitted","pullreq_reviewer_assigned","pullreq_reviewer_unassigned","pullreq_target_branch_changed","pullreq_updated","tag_created","tag_deleted","tag_updated"],"type":"string"},"OpenapiWebhookType":{"properties":{"created":{"type":"integer"},"created_by":{"type":"integer"},"description":{"type":"string"},"display_name":{"type":"string"},"enabled":{"type":"boolean"},"extra_headers":{"items":{"$ref":"#/components/schemas/TypesExtraHeader"},"type":"array"},"has_secret":{"type":"boolean"},"id":{"type":"integer"},"identifier":{"type":"string"},"insecure":{"type":"boolean"},"latest_execution_result":{"$ref":"#/components/schemas/EnumWebhookExecutionResult"},"parent_id":{"type":"integer"},"parent_type":{"$ref":"#/components/schemas/EnumWebhookParent"},"scope":{"type":"integer"},"triggers":{"items":{"$ref":"#/components/schemas/EnumWebhookTrigger"},"nullable":true,"type":"array"},"updated":{"type":"integer"},"url":{"type":"string"},"version":{"type":"integer"}},"type":"object"},"EnumWebhookExecutionResult":{"enum":["fatal_error","retriable_error","success"],"nullable":true,"type":"string"},"EnumWebhookParent":{"enum":["registry","repo","space"],"type":"string"},"UsererrorError":{"properties":{"message":{"type":"string"},"values":{"additionalProperties":{},"type":"object"}},"type":"object"}}},"paths":{"/webhooks":{"post":{"operationId":"createSpaceWebhook","parameters":[{"description":"Account Identifier for the Entity.","in":"query","name":"accountIdentifier","required":true,"schema":{"type":"string"}},{"description":"Organization Identifier for the Entity.","in":"query","name":"orgIdentifier","required":false,"schema":{"type":"string"}},{"description":"Project Identifier for the Entity.","in":"query","name":"projectIdentifier","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TypesWebhookCreateInput"}}}},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OpenapiWebhookType"}}},"description":"Created"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Bad Request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Unauthorized"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Forbidden"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Internal Server Error"}},"summary":"Create acc, org or proj webhook","tags":["webhook"]}}}}
```

## GET /webhooks/{webhook\_identifier}

> Get acc, org or proj webhook

```json
{"openapi":"3.0.0","info":{"title":"API Specification","version":"1.111.0"},"servers":[{"url":"gateway/code/api/v1"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"scheme":"bearer","type":"http"}},"schemas":{"OpenapiWebhookType":{"properties":{"created":{"type":"integer"},"created_by":{"type":"integer"},"description":{"type":"string"},"display_name":{"type":"string"},"enabled":{"type":"boolean"},"extra_headers":{"items":{"$ref":"#/components/schemas/TypesExtraHeader"},"type":"array"},"has_secret":{"type":"boolean"},"id":{"type":"integer"},"identifier":{"type":"string"},"insecure":{"type":"boolean"},"latest_execution_result":{"$ref":"#/components/schemas/EnumWebhookExecutionResult"},"parent_id":{"type":"integer"},"parent_type":{"$ref":"#/components/schemas/EnumWebhookParent"},"scope":{"type":"integer"},"triggers":{"items":{"$ref":"#/components/schemas/EnumWebhookTrigger"},"nullable":true,"type":"array"},"updated":{"type":"integer"},"url":{"type":"string"},"version":{"type":"integer"}},"type":"object"},"TypesExtraHeader":{"properties":{"key":{"type":"string"},"masked":{"type":"boolean"},"value":{"type":"string"}},"type":"object"},"EnumWebhookExecutionResult":{"enum":["fatal_error","retriable_error","success"],"nullable":true,"type":"string"},"EnumWebhookParent":{"enum":["registry","repo","space"],"type":"string"},"EnumWebhookTrigger":{"enum":["artifact_created","artifact_deleted","branch_created","branch_deleted","branch_updated","merge_queue_checks_canceled","merge_queue_checks_requested","pullreq_branch_updated","pullreq_check_completed","pullreq_closed","pullreq_comment_created","pullreq_comment_status_updated","pullreq_comment_updated","pullreq_created","pullreq_label_assigned","pullreq_merged","pullreq_reopened","pullreq_review_submitted","pullreq_reviewer_assigned","pullreq_reviewer_unassigned","pullreq_target_branch_changed","pullreq_updated","tag_created","tag_deleted","tag_updated"],"type":"string"},"UsererrorError":{"properties":{"message":{"type":"string"},"values":{"additionalProperties":{},"type":"object"}},"type":"object"}}},"paths":{"/webhooks/{webhook_identifier}":{"get":{"operationId":"getSpaceWebhook","parameters":[{"description":"Account Identifier for the Entity.","in":"query","name":"accountIdentifier","required":true,"schema":{"type":"string"}},{"description":"Organization Identifier for the Entity.","in":"query","name":"orgIdentifier","required":false,"schema":{"type":"string"}},{"description":"Project Identifier for the Entity.","in":"query","name":"projectIdentifier","required":false,"schema":{"type":"string"}},{"in":"path","name":"webhook_identifier","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OpenapiWebhookType"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Bad Request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Unauthorized"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Forbidden"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Internal Server Error"}},"summary":"Get acc, org or proj webhook","tags":["webhook"]}}}}
```

## DELETE /webhooks/{webhook\_identifier}

> Delete acc, org or proj webhook

```json
{"openapi":"3.0.0","info":{"title":"API Specification","version":"1.111.0"},"servers":[{"url":"gateway/code/api/v1"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"scheme":"bearer","type":"http"}},"schemas":{"UsererrorError":{"properties":{"message":{"type":"string"},"values":{"additionalProperties":{},"type":"object"}},"type":"object"}}},"paths":{"/webhooks/{webhook_identifier}":{"delete":{"operationId":"deleteSpaceWebhook","parameters":[{"description":"Account Identifier for the Entity.","in":"query","name":"accountIdentifier","required":true,"schema":{"type":"string"}},{"description":"Organization Identifier for the Entity.","in":"query","name":"orgIdentifier","required":false,"schema":{"type":"string"}},{"description":"Project Identifier for the Entity.","in":"query","name":"projectIdentifier","required":false,"schema":{"type":"string"}},{"in":"path","name":"webhook_identifier","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Bad Request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Unauthorized"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Forbidden"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Internal Server Error"}},"summary":"Delete acc, org or proj webhook","tags":["webhook"]}}}}
```

## PATCH /webhooks/{webhook\_identifier}

> Update acc, org or proj webhook

```json
{"openapi":"3.0.0","info":{"title":"API Specification","version":"1.111.0"},"servers":[{"url":"gateway/code/api/v1"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"scheme":"bearer","type":"http"}},"schemas":{"OpenapiUpdateSpaceWebhookRequest":{"properties":{"description":{"nullable":true,"type":"string"},"display_name":{"nullable":true,"type":"string"},"enabled":{"nullable":true,"type":"boolean"},"extra_headers":{"items":{"$ref":"#/components/schemas/TypesExtraHeader"},"type":"array"},"identifier":{"nullable":true,"type":"string"},"insecure":{"nullable":true,"type":"boolean"},"secret":{"nullable":true,"type":"string"},"triggers":{"items":{"$ref":"#/components/schemas/EnumWebhookTrigger"},"nullable":true,"type":"array"},"uid":{"deprecated":true,"nullable":true,"type":"string"},"url":{"nullable":true,"type":"string"}},"type":"object"},"TypesExtraHeader":{"properties":{"key":{"type":"string"},"masked":{"type":"boolean"},"value":{"type":"string"}},"type":"object"},"EnumWebhookTrigger":{"enum":["artifact_created","artifact_deleted","branch_created","branch_deleted","branch_updated","merge_queue_checks_canceled","merge_queue_checks_requested","pullreq_branch_updated","pullreq_check_completed","pullreq_closed","pullreq_comment_created","pullreq_comment_status_updated","pullreq_comment_updated","pullreq_created","pullreq_label_assigned","pullreq_merged","pullreq_reopened","pullreq_review_submitted","pullreq_reviewer_assigned","pullreq_reviewer_unassigned","pullreq_target_branch_changed","pullreq_updated","tag_created","tag_deleted","tag_updated"],"type":"string"},"OpenapiWebhookType":{"properties":{"created":{"type":"integer"},"created_by":{"type":"integer"},"description":{"type":"string"},"display_name":{"type":"string"},"enabled":{"type":"boolean"},"extra_headers":{"items":{"$ref":"#/components/schemas/TypesExtraHeader"},"type":"array"},"has_secret":{"type":"boolean"},"id":{"type":"integer"},"identifier":{"type":"string"},"insecure":{"type":"boolean"},"latest_execution_result":{"$ref":"#/components/schemas/EnumWebhookExecutionResult"},"parent_id":{"type":"integer"},"parent_type":{"$ref":"#/components/schemas/EnumWebhookParent"},"scope":{"type":"integer"},"triggers":{"items":{"$ref":"#/components/schemas/EnumWebhookTrigger"},"nullable":true,"type":"array"},"updated":{"type":"integer"},"url":{"type":"string"},"version":{"type":"integer"}},"type":"object"},"EnumWebhookExecutionResult":{"enum":["fatal_error","retriable_error","success"],"nullable":true,"type":"string"},"EnumWebhookParent":{"enum":["registry","repo","space"],"type":"string"},"UsererrorError":{"properties":{"message":{"type":"string"},"values":{"additionalProperties":{},"type":"object"}},"type":"object"}}},"paths":{"/webhooks/{webhook_identifier}":{"patch":{"operationId":"updateSpaceWebhook","parameters":[{"description":"Account Identifier for the Entity.","in":"query","name":"accountIdentifier","required":true,"schema":{"type":"string"}},{"description":"Organization Identifier for the Entity.","in":"query","name":"orgIdentifier","required":false,"schema":{"type":"string"}},{"description":"Project Identifier for the Entity.","in":"query","name":"projectIdentifier","required":false,"schema":{"type":"string"}},{"in":"path","name":"webhook_identifier","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OpenapiUpdateSpaceWebhookRequest"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OpenapiWebhookType"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Bad Request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Unauthorized"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Forbidden"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Internal Server Error"}},"summary":"Update acc, org or proj webhook","tags":["webhook"]}}}}
```

## GET /webhooks/{webhook\_identifier}/executions

> List acc, org or proj webhook executions

```json
{"openapi":"3.0.0","info":{"title":"API Specification","version":"1.111.0"},"servers":[{"url":"gateway/code/api/v1"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"scheme":"bearer","type":"http"}},"schemas":{"TypesWebhookExecution":{"properties":{"created":{"type":"integer"},"duration":{"type":"integer"},"error":{"type":"string"},"id":{"type":"integer"},"request":{"$ref":"#/components/schemas/TypesWebhookExecutionRequest"},"response":{"$ref":"#/components/schemas/TypesWebhookExecutionResponse"},"result":{"$ref":"#/components/schemas/EnumWebhookExecutionResult"},"retrigger_of":{"nullable":true,"type":"integer"},"retriggerable":{"type":"boolean"},"trigger_type":{"$ref":"#/components/schemas/EnumWebhookTrigger"},"webhook_id":{"type":"integer"}},"type":"object"},"TypesWebhookExecutionRequest":{"properties":{"body":{"type":"string"},"headers":{"type":"string"},"url":{"type":"string"}},"type":"object"},"TypesWebhookExecutionResponse":{"properties":{"body":{"type":"string"},"headers":{"type":"string"},"status":{"type":"string"},"status_code":{"type":"integer"}},"type":"object"},"EnumWebhookExecutionResult":{"enum":["fatal_error","retriable_error","success"],"nullable":true,"type":"string"},"EnumWebhookTrigger":{"enum":["artifact_created","artifact_deleted","branch_created","branch_deleted","branch_updated","merge_queue_checks_canceled","merge_queue_checks_requested","pullreq_branch_updated","pullreq_check_completed","pullreq_closed","pullreq_comment_created","pullreq_comment_status_updated","pullreq_comment_updated","pullreq_created","pullreq_label_assigned","pullreq_merged","pullreq_reopened","pullreq_review_submitted","pullreq_reviewer_assigned","pullreq_reviewer_unassigned","pullreq_target_branch_changed","pullreq_updated","tag_created","tag_deleted","tag_updated"],"type":"string"},"UsererrorError":{"properties":{"message":{"type":"string"},"values":{"additionalProperties":{},"type":"object"}},"type":"object"}}},"paths":{"/webhooks/{webhook_identifier}/executions":{"get":{"operationId":"listSpaceWebhookExecutions","parameters":[{"description":"Account Identifier for the Entity.","in":"query","name":"accountIdentifier","required":true,"schema":{"type":"string"}},{"description":"Organization Identifier for the Entity.","in":"query","name":"orgIdentifier","required":false,"schema":{"type":"string"}},{"description":"Project Identifier for the Entity.","in":"query","name":"projectIdentifier","required":false,"schema":{"type":"string"}},{"description":"The page to return.","in":"query","name":"page","required":false,"schema":{"default":1,"minimum":1,"type":"integer"}},{"description":"The maximum number of results to return.","in":"query","name":"limit","required":false,"schema":{"default":30,"maximum":100,"minimum":1,"type":"integer"}},{"in":"path","name":"webhook_identifier","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/TypesWebhookExecution"},"type":"array"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Bad Request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Unauthorized"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Forbidden"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Internal Server Error"}},"summary":"List acc, org or proj webhook executions","tags":["webhook"]}}}}
```

## GET /webhooks/{webhook\_identifier}/executions/{webhook\_execution\_id}

> Get acc, org or proj webhook execution

```json
{"openapi":"3.0.0","info":{"title":"API Specification","version":"1.111.0"},"servers":[{"url":"gateway/code/api/v1"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"scheme":"bearer","type":"http"}},"schemas":{"TypesWebhookExecution":{"properties":{"created":{"type":"integer"},"duration":{"type":"integer"},"error":{"type":"string"},"id":{"type":"integer"},"request":{"$ref":"#/components/schemas/TypesWebhookExecutionRequest"},"response":{"$ref":"#/components/schemas/TypesWebhookExecutionResponse"},"result":{"$ref":"#/components/schemas/EnumWebhookExecutionResult"},"retrigger_of":{"nullable":true,"type":"integer"},"retriggerable":{"type":"boolean"},"trigger_type":{"$ref":"#/components/schemas/EnumWebhookTrigger"},"webhook_id":{"type":"integer"}},"type":"object"},"TypesWebhookExecutionRequest":{"properties":{"body":{"type":"string"},"headers":{"type":"string"},"url":{"type":"string"}},"type":"object"},"TypesWebhookExecutionResponse":{"properties":{"body":{"type":"string"},"headers":{"type":"string"},"status":{"type":"string"},"status_code":{"type":"integer"}},"type":"object"},"EnumWebhookExecutionResult":{"enum":["fatal_error","retriable_error","success"],"nullable":true,"type":"string"},"EnumWebhookTrigger":{"enum":["artifact_created","artifact_deleted","branch_created","branch_deleted","branch_updated","merge_queue_checks_canceled","merge_queue_checks_requested","pullreq_branch_updated","pullreq_check_completed","pullreq_closed","pullreq_comment_created","pullreq_comment_status_updated","pullreq_comment_updated","pullreq_created","pullreq_label_assigned","pullreq_merged","pullreq_reopened","pullreq_review_submitted","pullreq_reviewer_assigned","pullreq_reviewer_unassigned","pullreq_target_branch_changed","pullreq_updated","tag_created","tag_deleted","tag_updated"],"type":"string"},"UsererrorError":{"properties":{"message":{"type":"string"},"values":{"additionalProperties":{},"type":"object"}},"type":"object"}}},"paths":{"/webhooks/{webhook_identifier}/executions/{webhook_execution_id}":{"get":{"operationId":"getSpaceWebhookExecution","parameters":[{"description":"Account Identifier for the Entity.","in":"query","name":"accountIdentifier","required":true,"schema":{"type":"string"}},{"description":"Organization Identifier for the Entity.","in":"query","name":"orgIdentifier","required":false,"schema":{"type":"string"}},{"description":"Project Identifier for the Entity.","in":"query","name":"projectIdentifier","required":false,"schema":{"type":"string"}},{"description":"The page to return.","in":"query","name":"page","required":false,"schema":{"default":1,"minimum":1,"type":"integer"}},{"description":"The maximum number of results to return.","in":"query","name":"limit","required":false,"schema":{"default":30,"maximum":100,"minimum":1,"type":"integer"}},{"in":"path","name":"webhook_identifier","required":true,"schema":{"type":"string"}},{"in":"path","name":"webhook_execution_id","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TypesWebhookExecution"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Bad Request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Unauthorized"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Forbidden"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Internal Server Error"}},"summary":"Get acc, org or proj webhook execution","tags":["webhook"]}}}}
```

## POST /webhooks/{webhook\_identifier}/executions/{webhook\_execution\_id}/retrigger

> Retrigger acc, org or proj webhook execution

```json
{"openapi":"3.0.0","info":{"title":"API Specification","version":"1.111.0"},"servers":[{"url":"gateway/code/api/v1"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"scheme":"bearer","type":"http"}},"schemas":{"TypesWebhookExecution":{"properties":{"created":{"type":"integer"},"duration":{"type":"integer"},"error":{"type":"string"},"id":{"type":"integer"},"request":{"$ref":"#/components/schemas/TypesWebhookExecutionRequest"},"response":{"$ref":"#/components/schemas/TypesWebhookExecutionResponse"},"result":{"$ref":"#/components/schemas/EnumWebhookExecutionResult"},"retrigger_of":{"nullable":true,"type":"integer"},"retriggerable":{"type":"boolean"},"trigger_type":{"$ref":"#/components/schemas/EnumWebhookTrigger"},"webhook_id":{"type":"integer"}},"type":"object"},"TypesWebhookExecutionRequest":{"properties":{"body":{"type":"string"},"headers":{"type":"string"},"url":{"type":"string"}},"type":"object"},"TypesWebhookExecutionResponse":{"properties":{"body":{"type":"string"},"headers":{"type":"string"},"status":{"type":"string"},"status_code":{"type":"integer"}},"type":"object"},"EnumWebhookExecutionResult":{"enum":["fatal_error","retriable_error","success"],"nullable":true,"type":"string"},"EnumWebhookTrigger":{"enum":["artifact_created","artifact_deleted","branch_created","branch_deleted","branch_updated","merge_queue_checks_canceled","merge_queue_checks_requested","pullreq_branch_updated","pullreq_check_completed","pullreq_closed","pullreq_comment_created","pullreq_comment_status_updated","pullreq_comment_updated","pullreq_created","pullreq_label_assigned","pullreq_merged","pullreq_reopened","pullreq_review_submitted","pullreq_reviewer_assigned","pullreq_reviewer_unassigned","pullreq_target_branch_changed","pullreq_updated","tag_created","tag_deleted","tag_updated"],"type":"string"},"UsererrorError":{"properties":{"message":{"type":"string"},"values":{"additionalProperties":{},"type":"object"}},"type":"object"}}},"paths":{"/webhooks/{webhook_identifier}/executions/{webhook_execution_id}/retrigger":{"post":{"operationId":"retriggerSpaceWebhookExecution","parameters":[{"description":"Account Identifier for the Entity.","in":"query","name":"accountIdentifier","required":true,"schema":{"type":"string"}},{"description":"Organization Identifier for the Entity.","in":"query","name":"orgIdentifier","required":false,"schema":{"type":"string"}},{"description":"Project Identifier for the Entity.","in":"query","name":"projectIdentifier","required":false,"schema":{"type":"string"}},{"in":"path","name":"webhook_identifier","required":true,"schema":{"type":"string"}},{"in":"path","name":"webhook_execution_id","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TypesWebhookExecution"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Bad Request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Unauthorized"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Forbidden"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Internal Server Error"}},"summary":"Retrigger acc, org or proj webhook execution","tags":["webhook"]}}}}
```
